Bug 846929 - [Advanced search][Case]when search case via input bugid execeed 8 reported 'TemplateSyntaxError' error
[Advanced search][Case]when search case via input bugid execeed 8 reported 'T...
Status: VERIFIED
Product: TCMS
Classification: Other
Component: Application (Show other bugs)
3.8.0
Unspecified Linux
low Severity low
: ---
: 3.8.0
Assigned To: Yang Ren
tools-bugs
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-09 03:01 EDT by qiyun
Modified: 2016-05-26 09:24 EDT (History)
6 users (show)

See Also:
Fixed In Version: 3.8.0-8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error page (303.39 KB, text/html)
2012-08-09 03:01 EDT, qiyun
no flags Details

  None (edit)
Description qiyun 2012-08-09 03:01:20 EDT
Created attachment 603185 [details]
error page

Version-Release number of selected component (if applicable):
3.8.0-7

Steps to Reproduce: 

1.Click "Advanced research"

2.In case section,input bugid longer than 7 byte,like 15425146 or longer 454564464464646

3.Click "search case" button.



Actual results: 
appear error page :'TemplateSyntaxError at /advance-search/'
see attachment:TemplateSyntaxError at _advance-search_.html


Expected results:
If there isn't bug id matched it,no case should be picked out and it shouldn't report error.
Comment 1 jianchen 2012-08-13 02:21:41 EDT
Fix in tcms 3.8.0-8.
when the bug id input length exceed 8, will return advance-search page and wait user input.
Comment 2 xubai 2012-08-15 02:15:21 EDT
Verify 3.8.0-8 on stage -->PASS

Verify steps:

1.Click "Advanced research"

2.In case section,input bugid longer than 7 byte,like 15425146 or longer 454564464464646

3.Click "search case" button.

Actual result:
return advance-search page with warning above and wait user input.

Note You need to log in before you can comment on or make changes to this bug.